DEVELOPER DOCUMENTATION
Commerce API reference
Inspect real routes from the supplied API contract. Filter by resource or method, expand the details and download the source-derived reference.
This reference is generated from the supplied source snapshot (v0.1.0). It does not send requests. Some operations do not define a complete request or response schema. Obtain the matching deployed contract and access requirements before implementing.
POST/v1/payments/authorizeAuthorize payment
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
201Authorized
POST/v1/payments/captureCapture payment
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Captured
POST/v1/payments/refundRefund payment
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Refunded
GET/v1/payments/transactions/{orderId}List transactions for order
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
orderId | path | string | Required |
Request body schema not specified in this source operation.
Responses in the contract
200Transactions
GET/v1/admin/returnsGET /admin/returns
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
GET/v1/admin/returns/{id}GET /admin/returns/{id}
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/admin/returns/{id}/approvePOST /admin/returns/{id}/approve
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/admin/returns/{id}/mark-receivedPOST /admin/returns/{id}/mark-received
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/admin/returns/{id}/restockPOST /admin/returns/{id}/restock
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/admin/returns/{id}/rejectPOST /admin/returns/{id}/reject
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/b2b/companiesPOST /b2b/companies
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
GET/v1/b2b/companiesGET /b2b/companies
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/quotesPOST /quotes
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
GET/v1/quotesGET /quotes
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
GET/v1/pricing/price-listsList price lists
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Price lists
POST/v1/pricing/price-listsCreate price list
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
201Created
POST/v1/pos/sales/from-quotePOST /pos/sales/from-quote
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
GET/v1/settlementsGET /settlements
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/settlements/orders/{orderId}/settlePOST /settlements/orders/{orderId}/settle
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
GET/v1/admin/financial/settlements/statusGET /admin/financial/settlements/status
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/admin/orders/{id}/refundPOST /admin/orders/{id}/refund
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/admin/returns/{id}/refundPOST /admin/returns/{id}/refund
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
GET/v1/admin/analytics/commerce/refundsGET /admin/analytics/commerce/refunds
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/productsCreate product
No parameters specified in this source operation.
Request schema
{
"type": "object",
"required": [
"type",
"slug",
"displayName",
"defaultLocale",
"defaultCurrency"
],
"properties": {
"type": {
"type": "string"
},
"slug": {
"type": "string"
},
"displayName": {
"type": "string"
},
"defaultLocale": {
"type": "string"
},
"defaultCurrency": {
"type": "string"
},
"description": {
"type": "string"
},
"brandId": {
"type": "string"
},
"defaultCategoryId": {
"type": "string"
}
}
}Responses in the contract
201Created
GET/v1/productsList products
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
filter[status] | query | string | Optional |
filter[type] | query | string | Optional |
filter[brand_id] | query | string | Optional |
filter[search] | query | string | Optional |
sort | query | string | Optional |
include | query | string | Optional |
metrics_window_days | query | integer | Optional |
page[size] | query | integer | Optional |
page[after] | query | string | Optional |
Request body schema not specified in this source operation.
Responses in the contract
200Product list
GET/v1/products/{id}Get product
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
id | path | string | Required |
Request body schema not specified in this source operation.
Responses in the contract
200Product404Not found
PATCH/v1/products/{id}Update product
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
id | path | string | Required |
If-Match | header | integer | Required |
Request body schema not specified in this source operation.
Responses in the contract
200Updated
DELETE/v1/products/{id}Delete product (soft)
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
id | path | string | Required |
Request body schema not specified in this source operation.
Responses in the contract
204Deleted
POST/v1/customersCreate customer
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
201Created
GET/v1/customersList customers
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Customers
POST/v1/ordersPlace order from cart
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
201Order placed
GET/v1/ordersList orders
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
status | query | string | Optional |
customer_id | query | string | Optional |
Request body schema not specified in this source operation.
Responses in the contract
200Orders
GET/v1/orders/{id}Get order with items
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
id | path | string | Required |
Request body schema not specified in this source operation.
Responses in the contract
200Order
GET/v1/inventory/locationsList locations
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Locations
POST/v1/inventory/locationsCreate location
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
201Created
GET/v1/inventory/locations/{id}GET /inventory/locations/{id}
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
PATCH/v1/inventory/locations/{id}PATCH /inventory/locations/{id}
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
GET/v1/inventory/stock/{variantId}Get stock level
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
variantId | path | string | Required |
location_id | query | string | Optional |
Request body schema not specified in this source operation.
Responses in the contract
200Stock level
GET/v1/inventory/availability/{variantId}Check availability
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
variantId | path | string | Required |
Request body schema not specified in this source operation.
Responses in the contract
200Availability
GET/v1/inventory/movementsGET /inventory/movements
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/inventory/receivePOST /inventory/receive
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/inventory/adjustAdjust stock
No parameters specified in this source operation.
Request schema
{
"type": "object",
"required": [
"variantId",
"locationId",
"quantity"
],
"properties": {
"variantId": {
"type": "string"
},
"locationId": {
"type": "string"
},
"quantity": {
"type": "integer"
},
"reason": {
"type": "string"
}
}
}Responses in the contract
200Adjusted
POST/v1/inventory/transferPOST /inventory/transfer
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Documented response (schema TBD)4XXStandard error envelope - see components.schemas.Error5XXStandard error envelope - see components.schemas.Error
POST/v1/webhooksRegister webhook endpoint
No parameters specified in this source operation.
Request schema
{
"type": "object",
"required": [
"url",
"eventTypes"
],
"properties": {
"url": {
"type": "string",
"format": "uri"
},
"eventTypes": {
"type": "array",
"items": {
"type": "string"
}
},
"secret": {
"type": "string"
},
"description": {
"type": "string"
}
}
}Responses in the contract
201Registered
GET/v1/webhooksList webhook endpoints
No parameters specified in this source operation.
Request body schema not specified in this source operation.
Responses in the contract
200Endpoints
GET/v1/webhooks/{id}/deliveriesList webhook deliveries
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
id | path | string | Required |
Request body schema not specified in this source operation.
Responses in the contract
200Deliveries
POST/v1/webhooks/{id}/testSend test webhook
Parameters
| Name | In | Type | Requirement |
|---|---|---|---|
id | path | string | Required |
Request body schema not specified in this source operation.
Responses in the contract
200Test sent
No operations match. Try another term or clear the method filter.